SPLPDM(3)

SYNOPSIS
SUBROUTINE SPLPDM (MRELAS, NVARS, LMX, LBM, NREDC, INFO, IOPT, + IBASIS, IMAT, IBRC, IPR, IWR, IND, IBB, ANORM, EPS, UU, GG, + AMAT, BASMAT, CSC, WR, SINGLR, REDBAS)

NAME
splpdm - Subsidiary to SPLP

LIBRARY
SLATEC

TYPE
SINGLE PRECISION (SPLPDM-S, DPLPDM-D)

AUTHOR
(UNKNOWN)

DESCRIPTION
THIS SUBPROGRAM IS FROM THE SPLP( ) PACKAGE. IT PERFORMS THE TASK OF DEFINING THE ENTRIES OF THE BASIS MATRIX AND DECOMPOSING IT USING THE LA05 PACKAGE. IT IS THE MAIN PART OF THE PROCEDURE (DECOMPOSE BASIS MATRIX).

SEE ALSO
SPLP

ROUTINES CALLED
LA05AS, PNNZRS, SASUM, XERMSG

COMMON BLOCKS
LA05DS

REVISION HISTORY (YYMMDD)
811215 DATE WRITTEN
890605 Corrected references to XERRWV. (WRB)
890605 Removed unreferenced labels. (WRB)
891214 Prologue converted to Version 4.0 format. (BAB)
900315 CALLs to XERROR changed to CALLs to XERMSG. (THJ)
900328 Added TYPE section. (WRB)
900510 Convert XERRWV calls to XERMSG calls, changed do-it-yourself DO loops to DO loops. (RWC)